RDKit: RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType > Class Template Reference

`#include <TopologicalTorsionGenerator.h>`

Inheritance diagram for RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType >:

## Public Member Functions
OutputType | getBitId (FingerprintArguments *arguments, const std::vector< std::uint32_t > *atomInvariants, const std::vector< std::uint32_t > *bondInvariants, AdditionalOutput *additionalOutput, const bool hashResults=false, const std::uint64_t fpSize=0) const override
| calculates and returns the bit id to be set for this atom-environment
void | updateAdditionalOutput (AdditionalOutput *output, size_t bitId) const override
| TopologicalTorsionAtomEnv (OutputType bitId, INT_VECT atomPath)
| Construct a new Topological Torsion Atom Env object.
Public Member Functions inherited from RDKit::AtomEnvironment< OutputType >
virtual | ~AtomEnvironment ()

## Detailed Description

template<typename OutputType>
class RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType >

Definition at line 51 of file TopologicalTorsionGenerator.h.

## Constructor & Destructor Documentation

## ◆ TopologicalTorsionAtomEnv()

template<typename OutputType>

RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType >::TopologicalTorsionAtomEnv | ( | OutputType | bitId,
|  | INT_VECT | atomPath )
| inline

Construct a new Topological Torsion Atom Env object.

Parameters

  bitId | bitId generated for this environment

Definition at line 72 of file TopologicalTorsionGenerator.h.

## Member Function Documentation

## ◆ getBitId()

template<typename OutputType>

OutputType RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType >::getBitId | ( | FingerprintArguments * | arguments,
|  | const std::vector< std::uint32_t > * | atomInvariants,
|  | const std::vector< std::uint32_t > * | bondInvariants,
|  | AdditionalOutput * | AdditionalOutput,
|  | const bool | hashResults = false,
|  | const std::uint64_t | fpSize = 0 ) const
| overridevirtual

calculates and returns the bit id to be set for this atom-environment

Parameters

  arguments | Fingerprinting type specific molecule independent arguments
  atomInvariants | Atom-invariants to be used during hashing
  bondInvariants | Bond-invariants to be used during hashing
  hashResults | if set results will be ready to be modded

Returns
  OutputType calculated bit id for this environment

Implements RDKit::AtomEnvironment< OutputType >.

## ◆ updateAdditionalOutput()

template<typename OutputType>

void RDKit::TopologicalTorsion::TopologicalTorsionAtomEnv< OutputType >::updateAdditionalOutput | ( | AdditionalOutput * | output,
|  | size_t | bitId ) const
| overridevirtual

Implements RDKit::AtomEnvironment< OutputType >.

The documentation for this class was generated from the following file:

- TopologicalTorsionGenerator.h